Package: groovy.util

## [Java] Enum ObservableSet.ChangeType

- groovy.util.ObservableSet.ChangeType

-     public enum ObservableSet.ChangeType

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ADDED` |
    `CLEARED` |
    `MULTI_ADD` |
    `MULTI_REMOVE` |
    `NONE` |
    `REMOVED` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Object` | `newValue` |
    `static Object` | `oldValue` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ObservableSet.ChangeType ADDED

    - #### ObservableSet.ChangeType CLEARED

    - #### ObservableSet.ChangeType MULTI_ADD

    - #### ObservableSet.ChangeType MULTI_REMOVE

    - #### ObservableSet.ChangeType NONE

    - #### ObservableSet.ChangeType REMOVED

  - ### Field Detail

    - #### public static final Object newValue

    - #### public static final Object oldValue